/* ----------------------------------------------------------------------
   LAMMPS - Large-scale Atomic/Molecular Massively Parallel Simulator
   www.cs.sandia.gov/~sjplimp/lammps.html
   Steve Plimpton, sjplimp@sandia.gov, Sandia National Laboratories

   Copyright (2003) Sandia Corporation.  Under the terms of Contract
   DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains
   certain rights in this software.  This software is distributed under 
   the GNU General Public License.

   See the README file in the top-level LAMMPS directory.
------------------------------------------------------------------------- */

#ifndef MINIMIZE_H
#define MINIMIZE_H

#include "system.h"

class Minimize : public System {
 public:
  double **f_pair;
  int maxpair;

  Minimize() {}
  virtual ~Minimize() {}
  virtual void init() = 0;
  virtual void setup() = 0;
  virtual void run() = 0;
};

#endif
