/* ----------------------------------------------------------------------
   LAMMPS - Large-scale Atomic/Molecular Massively Parallel Simulator
   www.cs.sandia.gov/~sjplimp/lammps.html
   Steve Plimpton, sjplimp@sandia.gov, Sandia National Laboratories

   Copyright (2003) Sandia Corporation.  Under the terms of Contract
   DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains
   certain rights in this software.  This software is distributed under 
   the GNU General Public License.

   See the README file in the top-level LAMMPS directory.
------------------------------------------------------------------------- */

#ifndef PAIR_LJ_CUT_COUL_CUT_H
#define PAIR_LJ_CUT_COUL_CUT_H

#include "pair.h"

class PairLJCutCoulCut : public Pair {
  friend class PairLJCutCoulDebye;

 public:
  PairLJCutCoulCut() {}
  ~PairLJCutCoulCut();
  void init();
  void settings(int, char **);
  void set_coeff(int, char **);
  void set_coeff(char *);
  void compute(int, int);
  void write_restart(FILE *);
  void read_restart(FILE *);
  //  double esingle(double, int, int, double, double);
  //double fsingle(double, int, int, double, double);

 private:
  double cut_lj_global,cut_coul_global;
  double **cut_lj,**cut_ljsq;
  double **cut_coul,**cut_coulsq;
  double **epsilon,**sigma;
  double **lj1,**lj2,**lj3,**lj4,**offset;

  void allocate();
};

#endif
