/* ----------------------------------------------------------------------
   LAMMPS - Large-scale Atomic/Molecular Massively Parallel Simulator
   www.cs.sandia.gov/~sjplimp/lammps.html
   Steve Plimpton, sjplimp@sandia.gov, Sandia National Laboratories

   Copyright (2003) Sandia Corporation.  Under the terms of Contract
   DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains
   certain rights in this software.  This software is distributed under 
   the GNU General Public License.

   See the README file in the top-level LAMMPS directory.
------------------------------------------------------------------------- */

#ifndef PAIR_SOFT_H
#define PAIR_SOFT_H

#include "pair.h"

class PairSoft : public Pair {
 public:
  PairSoft();
  ~PairSoft();
  void init();
  void settings(int, char **);
  void set_coeff(int, char **);
  void set_coeff(char *);
  void compute(int, int);
  void write_restart(FILE *);
  void read_restart(FILE *);
  //  double esingle(double, int, int);
  //double fsingle(double, int, int);

 private:
  double PI;
  double cut_global;
  double **prestart,**prestop;
  double **prefactor;
  double **cutoff;

  void allocate();
};

#endif
